domingo, 1 de noviembre de 2009

Script para instalar hamachi en Ubuntu 1.0.2


Con hamachi puedes establecer una red local con tan solo un par de clicks, puedes establecer una conexión segura entre varios ordenadores e intercambiar archivos entre ellos. Uno de sus principales usos es para juegos, ya que al crear una red local virtual permite jugar a juegos en modo LAN.


He actualizado el script para instalar el hamachi en Ubuntu a la version 1.0.2, esta versión deja de soportar Ubuntu Gutsy ya que es una verision sin soporte y es ya un poco antigua, pero a cambio soporta el nuevo Ubuntu Karmic Koala, el script esta totalmente en español y por lo demás es igual al anterior. Estoy preparando la versión 1.1 en la que incorporare una nueva gui para hamachi, no se cuando estará lista porque actualmente los estudios me mantienen bastante ocupado.

Para utilizar este script tenemos que descargarlo y hacerle click con el botón derecho del ratón y le damos a propiedades y a la pestaña de permisos, y activamos la opción 'permitir ejecutar como un programa'.

En el menú principal tenemos 4 opciones la 1 es para instalar el hamachi (esta opción es obligatoria), una vez instalado tenemos que instalar una gui, que son la 2 (ghamachi) y la 3 (hamachi-gui), yo recomiendo la 3, y la cuarta opción es para hacer copias de seguridad de nuestras configuraciones y para eliminar el hamachi y sus guis.

Descargar script

Si queréis instalar hamachi para Ubuntu Gutsy podéis utilizar la versión 1.0.1

Recordad que no funciona hasta que no cerréis y volváis a entrar en vuestra sesión de Ubuntu

Actualización: Nueva versión 1.1 
Actualización 2: Disponible versión 1.2
Eduardo Parra Estudiante de Ingeniería Infmática


19 comentarios :

Soker dijo...

Si quereis el script en ingles lo han traducido aqui---> http://www.webupd8.org/2009/11/install-hamachi-gui-in-linux-using.html

Xkalvin dijo...

Saludos.

Enhorabuena por el blog! Tengo problemas con el script..despues de instalarlo todo, me pregunta si quiero cargar el TUN/TAP device que entiendo para general los puntos de conexión, pero no me abre el GUI i desde el menu internet de nautilus, me da "internal error". He intentado desinstalarlo todo por si he hecho algo mal, pero el terminal se me queda..."coldado" y no me desinstala Hamachi...¿alguna idea?

Gracias de antemano!!!

Soker dijo...

no se me ocurre porque puede ser, as intalado primero la opción 1? y as cerrado y vuelto a abrir sesión?

Xkalvin dijo...

Si...lo que más me preocupa es que el terminal se quede colgado cuando intento desinstalar hatachi...

omega dijo...

No sirve tira un monton de errores en terminal, a la hora de querer correlo uan vez instalado.
Failed to open hamachi config file at /home/armando/.hamachi/config
connect(): Conexión rechazada

** (hamachi-gui:21100): CRITICAL **: ipc_shutdown: assertion `connection' failed
Fallo de segmentación

Xkalvin dijo...

Hola!!

Problema 1- solventado!!!! (cuando reinicié, además de salir de la sesión)

Problema 2- Desde mi máquina 1 con (windzzzz) puedo acceder a mi máquina 2, pero al revés me pide una contraseña...que nunca he puesto!! Perdona, pero, ¿pq puede ser???

Gracias de nuevo.

Soker dijo...

@Xkalvin yo solo he utilizado el hamachi para jugar en red local, asi que no se que es esa contraseña. ¿Puede ser el nombre de usuario y la contraseña del equipo la que intentas acceder?

Soker dijo...

@omega ¿pero as intalado primero el hamachi (el punto 1)?

Xkalvin dijo...

Es un cuadro de diálogo con usuario, contraseña, y dominio...y no es la del otro equipo. Además he descubierto que NO puedo chatear entre máquínas y me dice que el equipo Ubuntu es el que no lo permite. Si arranco el SSH, no reacciona en Ubuntu...

En fin, gracias de todos modos.

Alejandro dijo...

hola ya instale el hamachi en ubuntu 9.10 y funciona, pero al unirlo a mi red veo los equipos conectados a la red, pero al mira mi otro pc con guin2 aparece ya mi equipo pero como no conectado. que podria ser.

Anónimo dijo...

hola. Soy estudiante de español. Lo siento para mi gramatica fea. Cuando piensas tendrás el version 1.1 para Karmic Koala?

Gracias por el script!

Soker dijo...

Pues esperaba tenerla para esta navidad, pero hace tiempo que no toco el script y todavia tengo que arreglar algunos problemas.

chiko dijo...

si andaaaa gracias!!

chiko dijo...

si andaaaa gracias!!

Alejandro dijo...

hola ya instale el hamachi en ubuntu 9.10 y funciona, pero al unirlo a mi red veo los equipos conectados a la red, pero al mira mi otro pc con guin2 aparece ya mi equipo pero como no conectado. que podria ser.

Soker dijo...

@omega ¿pero as intalado primero el hamachi (el punto 1)?

omega dijo...

No sirve tira un monton de errores en terminal, a la hora de querer correlo uan vez instalado.
Failed to open hamachi config file at /home/armando/.hamachi/config
connect(): Conexión rechazada

** (hamachi-gui:21100): CRITICAL **: ipc_shutdown: assertion `connection' failed
Fallo de segmentación

Soker dijo...

Si quereis el script en ingles lo han traducido aqui---> http://www.webupd8.org/2009/11/install-hamachi-gui-in-linux-using.html

Root dijo...

La opciçon 5 del script no funciona en kubuntu 12.04
" dpkg: problemas de dependencias impiden la configuración de quamachi:i386:
 quamachi:i386 depende de python (>= 2.5).
 quamachi:i386 depende de libqt4-core (>= 4.4.1).
 quamachi:i386 depende de python-qt4 (>= 4.4.3).
 quamachi:i386 depende de pyqt4-dev-tools (>= 4.4.3).
 quamachi:i386 depende de upx-ucl.
 quamachi:i386 depende de grep (>= 2.5).
 quamachi:i386 depende de bash (>= 3).
 quamachi:i386 depende de make (>= 3.80).
dpkg: error al procesar quamachi:i386 (--install):
 problemas de dependencias - se deja sin configurar
Procesando disparadores para hicolor-icon-theme ...
Se encontraron errores al procesar:
 quamachi:i386

No se ha podido instalar quamachi."